VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Types | Public Member Functions | Public Attributes | List of all members
WindowClosedListener Class Reference
Standalone Library

Window closed listener More...

`#include <windowlistener.h>`

Inheritance diagram for WindowClosedListener:

## Public Types
using | Func = std::function< void(const IWindow &)>

## Public Member Functions
| WindowClosedListener ()
template<typename Func >
| WindowClosedListener (Func func)
void | onClosed (const IWindow &window) override
| Window is closed. More...
Public Member Functions inherited from WindowListenerAdapter
void | onSizeChanged (const IWindow &window, const CPoint &newSize) override
| Size of window is changed. More...
void | onPositionChanged (const IWindow &window, const CPoint &newPosition) override
| Position of window is changed. More...
void | onShow (const IWindow &window) override
| Window is shown. More...
void | onHide (const IWindow &window) override
| Window is hidden. More...
void | onClosed (const IWindow &window) override
| Window is closed. More...
void | onActivated (const IWindow &window) override
| Window is activated. More...
void | onDeactivated (const IWindow &window) override
| Window is deactivated. More...
virtual void | onSizeChanged (const IWindow &window, const CPoint &newSize)=0
| Size of window is changed. More...
virtual void | onPositionChanged (const IWindow &window, const CPoint &newPosition)=0
| Position of window is changed. More...
virtual void | onShow (const IWindow &window)=0
| Window is shown. More...
virtual void | onHide (const IWindow &window)=0
| Window is hidden. More...
virtual void | onClosed (const IWindow &window)=0
| Window is closed. More...
virtual void | onActivated (const IWindow &window)=0
| Window is activated. More...
virtual void | onDeactivated (const IWindow &window)=0
| Window is deactivated. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Public Attributes
Func | func

## Detailed Description

Window closed listener

## Member Typedef Documentation

## ◆ Func

using Func = std::function<void (const IWindow&)>

## Constructor & Destructor Documentation

## ◆ WindowClosedListener() [1/2]

WindowClosedListener | ( |  | ) |
| inline

## ◆ WindowClosedListener() [2/2]

WindowClosedListener | ( | Func | func | ) |
| inline

## Member Function Documentation

## ◆ onClosed()

void onClosed | ( | const IWindow & | window | ) |
| inline override virtual

Window is closed.

Reimplemented from WindowListenerAdapter.

## Member Data Documentation

## ◆ func

Func func

The documentation for this class was generated from the following file:

- windowlistener.h